Usage API
Get usage statistics and analytics for your account or workspace.Get User Usage
Get usage statistics for the authenticated user.Query Parameters
| Parameter | Type | Description |
|---|---|---|
startDate | string | Start date (ISO 8601) |
endDate | string | End date (ISO 8601) |
receptorId | string | Filter by receptor UUID |
Example Request
- TypeScript
- curl
Example Response
Get Workspace Usage
Get usage statistics for a workspace (admin only).Path Parameters
| Parameter | Type | Description |
|---|---|---|
workspace_id | string | Workspace UUID |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
startDate | string | Start date (ISO 8601) |
endDate | string | End date (ISO 8601) |
receptorId | string | Filter by receptor UUID |
Example Request
- TypeScript
- curl
Usage Statistics Schema
Provider Statistics
Model Statistics
Receptor Statistics
Get Receptor Usage Ranking
Get usage per receptor sorted by tokens, cost, or invoke count (admin only).Path Parameters
| Parameter | Type | Description |
|---|---|---|
workspace_id | string | Workspace UUID |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
startDate | string | Start date (ISO 8601) |
endDate | string | End date (ISO 8601) |
sortBy | string | Sort by tokens, cost, or invokeCount (default: tokens) |
Example Request
- TypeScript
- curl
Example Response
Related
- Activity API - Get detailed activity logs
- API Reference - Authentication, jobs, and related endpoints